Name:           aifad
Version:        2.2.2
Release:        %mkrel 2
Summary:        Machine learning system - Automated Induction of Functions over Algebraic Datatypes
License:        LGPLv2+
Group:          Development/OCaml
URL:            https://mmottl.github.io/aifad/
Source0:        https://github.com/mmottl/aifad/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-cfg-devel
BuildRequires:  ocaml-res-devel
BuildRequires:  ocaml-pcre-devel
BuildRequires:  menhir

%description
AIFAD stands for "Automated Induction of Functions over Algebraic Datatypes"
and improves decision tree learning by supporting significantly more complex
kinds of data. This allows users to more conveniently describe the data they
want to have learnt, which can improve accuracy and complexity of resulting
models.

%prep
%setup -q

%build
dune build --verbose

%install
mkdir -p %{buildroot}%{_bindir}
cp _build/install/default/bin/aifad %{buildroot}%{_bindir}

install -d %{buildroot}%{_datadir}/vim/syntax/
install -m 0644 ./vim/aifad.vim %{buildroot}%{_datadir}/vim/syntax/

%files
%doc README.md CHANGES.md TODO.md
%license LICENSE.md
%doc examples/
%{_bindir}/aifad
%{_datadir}/vim/syntax/aifad.vim


%changelog
* Sat Apr 02 2022 umeabot <umeabot> 2.2.2-2.mga9
+ Revision: 1840278
- Mageia 9 Mass Rebuild

* Fri Feb 28 2020 daviddavid <daviddavid> 2.2.2-1.mga8
+ Revision: 1551727
- new version: 2.2.2
- fix license
- switch to ocaml-dune
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.1.0-2.mga7
+ Revision: 1297302
- Mageia 7 Mass Rebuild

* Tue Feb 06 2018 tv <tv> 2.1.0-1.mga7
+ Revision: 1199182
- fix install + update file list
- switch to jbuilder
- new URL
- new version

* Sun Sep 25 2016 pterjan <pterjan> 2.0.5-5.mga6
+ Revision: 1056197
- Rebuild for fix in ocaml

* Thu Feb 04 2016 umeabot <umeabot> 2.0.5-4.mga6
+ Revision: 934830
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.5-3.mga5
+ Revision: 744538
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.5-2.mga5
+ Revision: 677720
- Mageia 5 Mass Rebuild

* Sun Mar 09 2014 wally <wally> 2.0.5-1.mga5
+ Revision: 601564
- new version 2.0.5
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.0.2-5.mga3
+ Revision: 345343
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 2.0.2-4.mga3
+ Revision: 323916
- rebuild for new pcre

* Tue Oct 02 2012 blue_prawn <blue_prawn> 2.0.2-3.mga3
+ Revision: 302199
- rebuild for new ocaml 4.00
- new rpm group for ocaml

* Wed Aug 29 2012 blue_prawn <blue_prawn> 2.0.2-1.mga3
+ Revision: 285549
- updated to last version 2.0.2 (which now uses Oasis)
- BuildRequires: omake
- imported package aifad

